package com.example.BeanFlavored;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;

@Component
public class Alumni {

    private Students previousStudents;
    private Instructors instructors;

    @Autowired
    public Alumni(Students previousStudents, Instructors instructors) {
        this.previousStudents = previousStudents;
        this.instructors = instructors;
    }


    @PostConstruct
    public void executeBootcamp(){
        double hoursToTeach = 1200*previousStudents.size();
        double hoursPerInstructor = hoursToTeach/instructors.size();

        for(Instructor i:instructors){
            i.lecture(previousStudents.findAll(),hoursPerInstructor);
        }
    }

    public Students getStudents(){
        return previousStudents;
    }

    public Instructors getInstructors(){
        return instructors;
    }
}
