package com.example.BeanFlavored;

import java.util.Arrays;
import java.util.Iterator;
import java.util.List;

public abstract class People<PersonType extends Person> implements Iterable<PersonType>{
    List<PersonType> personList;

    public People(List<PersonType> personTypeList) {
        this.personList = personTypeList;
    }

    public People(PersonType... people){
        this.personList = Arrays.asList(people);
    }

    public void add(PersonType personType){
        this.personList.add(personType);
    }

    public void remove(PersonType personType){
        this.personList.remove(personType);
    }

    public int size(){
        return this.personList.size();
    }

    public void clear(){
        this.personList.clear();
    }

    public void addAll(Iterable<PersonType> personTypes){
        for(PersonType pt: personTypes){
            this.personList.add(pt);
        }
    }

    public PersonType findById(Long id){
        PersonType person = null;
        for(PersonType p:this.personList){
            if (p.getId()==id){
                person = p;
            }
        }
        return person;
    }

    public List<PersonType> findAll(){
        return this.personList;
    }

}
