package com.example.BeanFlavored;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@RunWith(SpringRunner.class)
@SpringBootTest
public class TestInstructorConfig {
    private Instructors instructors;
    private Instructors tcUsaInstructors;
    private Instructors tcUkInstructors;

    @Autowired
    private InstructorsConfig instructorConfig;

    @Before
    public void setUp() {
        instructors = instructorConfig.instructors();
        tcUkInstructors = instructorConfig.tcUkInstructors();
        tcUsaInstructors = instructorConfig.tcUsaInstructors();
    }

    @Test
    public void testTcUsaInstructors(){
        Assert.assertEquals(tcUsaInstructors,instructorConfig.tcUsaInstructors());
    }

    @Test
    public void testTcUkInstructors(){

        Assert.assertEquals(tcUkInstructors, instructorConfig.tcUkInstructors());
    }

    @Test
    public void testInstructors(){

        Assert.assertEquals(instructors, instructorConfig.instructors());
    }
}
